Package org.eclipse.birt.report.engine.api

# Interface IStatusHandler

All Known Implementing Classes:
  `DefaultStatusHandler`

public interface IStatusHandler
Interface that defines several status handler callback functions. A status handler allows the application developer to use function showStatus in JavaScript, passing in a string argument. The actual implementation of the showStatus function is provided by the application developer.

If a status handler is defined, engine may use it to write status information.

## Method Summary

Modifier and Type
Method
Description
`void`
`finish()`
does cleanup work
`void`
`initialize()`
initialize the status handler.
`void`
`showStatus(String s)`
showa the status string

## Method Details

### initialize

void initialize()
initialize the status handler.

### showStatus

void showStatus(String s)
showa the status string

Parameters:
  `s` - the status string

### finish

void finish()
does cleanup work